<?php if ( ! defined( 'ABSPATH' ) ) { exit; }

global $current_user;
$user_meta = get_user_meta( $current_user->ID );
$thisgateway = new WC_Venmo_Gateway();

?>

<section>
    <div class="container">
        <div class="text-white bg-success border rounded border-0 p-4 py-5">
            <div class="row">
                <div class="col-md-10 col-xl-8 text-center d-flex d-sm-flex d-md-flex justify-content-center align-items-center mx-auto justify-content-md-start align-items-md-center justify-content-xl-center">
                    <div>
                        <h2 class="text-uppercase fw-bold text-white mb-3">Easily extract <?php echo wp_kses_post($thisgateway->title); ?> transaction information from your email receipts to automatically update order status from pending to processing</h2>
                        <p class="mb-4">Anytime you receive a Venmo payment, emailreceipts.io will extract the order number and Venmo ID</p>
                        <p class="mb-4">Once information has been extracted, it will be sent to <?php echo get_bloginfo('name'); ?></p>
                        <p class="mb-4"><?php echo get_bloginfo('name'); ?> will then search for the corresponding order, confirm the amount and if everything is accurate, the order will be updated from pending -> processing</p>
                        <p class="mb-4">Then notifications to your customer will be sent accordingly</p>
                        <form id="store-connect-form" name="store-connect-form" data-name="Store Connect Form" action="https://emailreceipts.io/store/connect"
                            method="POST" target="_blank" class="main-content">

                            <input type="hidden" name="fname" data-name="First Name" placeholder="First Name"
                                id="fname" value="<?php echo wp_kses_post(get_user_meta( $current_user->ID, 'first_name', true )); ?>" />

                            <input type="hidden" name="lname" data-name="Last Name" placeholder="Last Name"
                                id="lname" value="<?php echo wp_kses_post(get_user_meta( $current_user->ID, 'last_name', true )); ?>" />

                            <input type="hidden" name="email" data-name="Email" placeholder="Email"
                            id="email" value="<?php echo wp_kses_post(get_bloginfo("admin_email")); ?>" />

                            <input type="hidden" name="phone" data-name="Phone Number" placeholder="Phone Number"
                                id="phone" value="<?php echo wp_kses_post(get_user_meta( $current_user->ID, 'billing_phone', true )); ?>" />

                            <input type="hidden" name="name" data-name="Store Name"
                                placeholder="Store Name" id="name" value="<?php echo wp_kses_post(get_bloginfo("name")); ?>" />

                            <input type="hidden" name="domain" data-name="Store Domain"
                                placeholder="Store Domain" id="domain" value="<?php echo wp_kses_post(get_site_url()); ?>" />

                            <input type="hidden" name="thumbnailUrl" data-name="Store Logo"
                                placeholder="Store Logo" id="thumbnailUrl" value="<?php echo wp_kses_post(get_site_icon_url()); ?>" />

                            <input type="hidden" name="institution" data-name="Financial Institution"
                                placeholder="Financial Institution" id="institution" value="<?php echo wp_kses_post("Venmo"); ?>" />

                            <input type="hidden" name="accountid" data-name="Financial Account ID"
                                placeholder="Financial Account ID" id="accountid" value="<?php echo wp_kses_post($thisgateway->ReceiverVenmo); ?>" />

                            <input type="hidden" name="accountname" data-name="Financial Account Name"
                                placeholder="Financial Account Name" id="accountname" value="<?php echo wp_kses_post($thisgateway->ReceiverVenmoOwner); ?>" />

                            <input type="hidden" name="accountemail" data-name="Financial Account Email"
                                placeholder="Financial Account Email" id="accountemail" value="<?php echo wp_kses_post($thisgateway->ReceiverVENMOEmail); ?>" />

                            <input type="hidden" name="webhook" data-name="Webhook URL"
                                placeholder="Webhook URL" id="webhook" value="<?php echo wp_kses_post($thisgateway->VenmoForwardingURL); ?>" />

                            <input type="hidden" name="extension" id="extension" value="<?php echo wp_kses_post(explode("/", WCVENMO_PLUGIN_BASENAME)[0]); ?>" />
                            <input type="hidden" name="key" id="key" value="<?php echo wp_kses_post(""); ?>" />

                            <?php echo wp_nonce_field( 'connect_store_to_emailreceipts' ); ?>

                            <input type="submit" value="Connect <?php echo get_bloginfo('name'); ?> to emailreceipts.io" data-wait="Please wait..." class="btn btn-light btn-lg fs-5 py-2 px-4" />
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>