<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( class_exists( 'WC_Payment_Gateway' ) ) {
    class WC_Venmo_Gateway extends WC_Payment_Gateway
    {
        protected  $VenmoEmailReceiptsKey ;
        // protected $VenmoForwardingURL;
        // protected $VenmoForwardingEmail;
        public function __construct()
        {
            $this->id = 'venmo';
            // payment gateway plugin ID
            $this->icon = WCVENMO_PLUGIN_DIR_URL . 'assets/images/venmo_35.png';
            // URL of the icon that will be displayed on checkout page near your gateway name
            $this->has_fields = true;
            // in case you need a custom form
            $this->method_title = 'Venmo';
            $this->method_description = 'Easily receive Venmo payments';
            // will be displayed on the options page
            $this->init_settings();
            $this->enabled = $this->get_option( 'enabled' );
            $this->title = ( $this->get_option( 'checkout_title' ) ? $this->get_option( 'checkout_title' ) : $this->method_title );
            $this->ReceiverVENMONo = $this->get_option( 'ReceiverVENMONo' );
            $this->ReceiverVenmo = $this->get_option( 'ReceiverVenmo' );
            $this->update_option( 'ReceiverVenmo', str_replace( '@', '', $this->ReceiverVenmo ) );
            $this->venmo_note = $this->get_option( 'venmo_note' );
            $this->ReceiverVenmoOwner = $this->get_option( 'ReceiverVenmoOwner' );
            $this->ReceiverVENMOEmail = $this->get_option( 'ReceiverVENMOEmail' );
            $this->VenmoForwardingURL = wp_kses_post( get_bloginfo( 'url' ) . '/wp-json/wc-venmo/v1/update-venmo-order' );
            $this->update_option( 'VenmoForwardingURL', $this->VenmoForwardingURL );
            // $this->VenmoEmailReceiptsKey = $this->get_option( 'VenmoEmailReceiptsKey' );
            $this->VenmoForwardingURLClmln = wp_kses_post( get_bloginfo( 'url' ) . '/wp-json/wc-venmo/v1/cloudmailin/update-venmo-order' );
            $this->update_option( 'VenmoForwardingURLClmln', $this->VenmoForwardingURLClmln );
            // $this->VenmoForwardingEmail = $this->get_option( 'VenmoForwardingEmail' );
            // $this->VenmoForwardingFormat = wp_kses_post( 'JSON - Normalized (recommended)' );
            // $this->update_option( 'VenmoForwardingFormat', $this->VenmoForwardingFormat );
            $this->VenmoStockManagement = $this->get_option( 'VenmoStockManagement' );
            $this->checkout_description = $this->get_option( 'checkout_description' );
            $this->venmo_notice = $this->get_option( 'venmo_notice' );
            $this->store_instructions = $this->get_option( 'store_instructions' );
            $this->display_venmo = $this->get_option( 'display_venmo' );
            $this->display_venmo_logo_button = $this->get_option( 'display_venmo_logo_button' );
            $this->fullWidthColumn = $this->get_option( 'fullWidthColumn' );
            $this->toggleSupport = $this->get_option( 'toggleSupport' );
            $this->toggleTutorial = $this->get_option( 'toggleTutorial' );
            $this->toggleCredits = $this->get_option( 'toggleCredits' );
            
            if ( isset( $this->ReceiverVenmo ) ) {
                $test = '<a href="https://venmo.com/' . esc_attr( wp_kses_post( $this->ReceiverVenmo ) ) . '?txn=pay&amount=1&note=Order 123: Order from ' . get_site_url() . '" target="_blank">Test</a>';
            } else {
                $test = '';
            }
            
            $new = ' <sup style="color:#0c0">NEW</sup>';
            $newFeature = " <sup style='color:#c00;'>NEW FEATURE</sup>";
            $improvedFeature = " <sup style='color:#0c0;'>IMPROVED FEATURE</sup>";
            $comingSoon = " <sup style='color:#00c;'>COMING SOON</sup>";
            $emrcpts = ' <a href="' . esc_attr( wp_kses_post( admin_url( 'admin.php?page=wc_venmo_automated_status' ) ) ) . '" target="_blank">CONNECT</a>';
            $cloudmailin = ' <a href="' . esc_attr( wp_kses_post( admin_url( 'admin.php?page=wc_venmo_cloudmailin' ) ) ) . '" target="_blank">CONNECT</a>';
            global  $venmo_fs ;
            $upgrade_url = venmo_fs()->get_upgrade_url();
            $pro = ' <a style="text-decoration:none" href="' . $upgrade_url . ' target="_blank"><sup style="color:red">PRO</sup></a>';
            $edit_with_pro = ' <a style="text-decoration:none" href="' . $upgrade_url . ' target="_blank">APPLY CHANGES WITH PRO</a>';
            $this->form_fields = array(
                'enabled'                   => array(
                'title'   => 'Enable VENMO ' . $test,
                'label'   => 'Check to Enable / Uncheck to Disable',
                'type'    => 'checkbox',
                'default' => 'no',
            ),
                'checkout_title'            => array(
                'title'       => 'Checkout Title',
                'type'        => 'text',
                'description' => 'This is the title which the user sees on the checkout page.',
                'default'     => $this->title,
                'placeholder' => $this->title,
            ),
                'ReceiverVENMONo'           => array(
                'title'       => 'Receiver Venmo No',
                'type'        => 'text',
                'description' => 'This is the phone number associated with your store Venmo account or your receiving Venmo account. Customers will send money to this number',
                'placeholder' => "+1234567890",
            ),
                'ReceiverVenmo'             => array(
                'title'       => 'Receiver Venmo username ' . $test,
                'type'        => 'text',
                'description' => 'Remove @ at the beginning in venmo username. This is the Venmo username associated with your store Venmo account. Customers will send money to this Venmo account',
                'placeholder' => 'username',
            ),
                'venmo_note'                => array(
                'title'       => 'Venmo Transaction Note with Order Number prepopulated' . $pro,
                'type'        => 'text',
                'description' => 'Transaction Note or Purchasing reason that will be transferred into the Venmo app for the order' . $edit_with_pro,
                'default'     => 'checkout at ' . get_site_url(),
                'placeholder' => 'checkout at ' . get_site_url(),
                'css'         => 'width:80%; pointer-events: none;',
                'class'       => 'disabled',
            ),
                'ReceiverVenmoOwner'        => array(
                'title'       => "Receiver Venmo Owner's Name",
                'type'        => 'text',
                'description' => 'This is the name associated with your store Venmo account. Customers will send money to this Venmo account name',
                'placeholder' => 'Jane D',
            ),
                'ReceiverVENMOEmail'        => array(
                'title'       => "Receiver Venmo Owner's Email",
                'type'        => 'text',
                'description' => 'This is the email associated with your store Venmo account or your receiving Venmo account. Customers will send money to this email',
                'default'     => "@gmail.com",
                'placeholder' => "email@website.com",
            ),
                'VenmoForwardingURL'        => array(
                'title'       => 'Connect your Email Receipts via emailreceipts.io' . $emrcpts,
                'type'        => 'text',
                'description' => 'This is the URL that will be imported to emailreceipts.io while setting up' . $emrcpts,
                'default'     => $this->VenmoForwardingURL,
                'placeholder' => $this->VenmoForwardingURL,
                'css'         => 'width:80%; pointer-events: none;',
                'class'       => 'disabled',
            ),
                'VenmoStockManagement'      => array(
                'title'       => 'Reduce Stock ONLY after payment receipt' . $pro,
                'label'       => 'Uncheck to reduce stock when order goes on-hold / Check to to reduce stock when order goes to processing' . $edit_with_pro,
                'type'        => 'checkbox',
                'description' => 'If you want to reduce stock once payment is received, check this box',
                'default'     => 'no',
                'css'         => 'pointer-events: none;',
                'class'       => 'disabled',
            ),
                'checkout_description'      => array(
                'title'       => 'Checkout Page Notice' . $pro,
                'type'        => 'textarea',
                'description' => 'This is the description which the user sees during checkout.' . $edit_with_pro,
                'default'     => 'Send money to the venmo username or click the Venmo button below',
                'css'         => 'width:80%; pointer-events: none;',
                'class'       => 'disabled',
            ),
                'venmo_notice'              => array(
                'title'       => 'Thank You Notice' . $pro,
                'type'        => 'textarea',
                'description' => 'Notice that will be added to the thank you page before store instructions if any.' . $edit_with_pro,
                'default'     => "<p>We are checking our systems to confirm that we received. If you haven't sent the money already, please make sure to do so now.</p>" . '<p>Once confirmed, we will proceed with the shipping and delivery options you chose.</p>' . '<p>Thank you for doing business with us! You will be updated regarding your order details soon.</p>',
                'css'         => 'width:80%; pointer-events: none;',
                'class'       => 'disabled',
            ),
                'store_instructions'        => array(
                'title'       => 'Store Instructions' . $pro,
                'type'        => 'textarea',
                'description' => 'Store Instructions that will be added to the thank you page and emails.' . $edit_with_pro,
                'default'     => "Please send the total amount requested to our store if you haven't yet",
                'css'         => 'width:80%; pointer-events: none;',
                'class'       => 'disabled',
            ),
                'display_venmo'             => array(
                'title'       => 'Customers place order first before getting Venmo info' . $pro,
                'label'       => 'Uncheck to remove Venmo info before placing order / Check to show Venmo info first',
                'type'        => 'checkbox',
                'description' => 'Disable to remove BOTH the Venmo image and QR code from your payment method on checkout. It will still be displayed on the thank you page, email notifications, and customer notes' . $edit_with_pro,
                'default'     => 'yes',
                'class'       => 'disabled',
            ),
                'display_venmo_logo_button' => array(
                'title'       => 'Show ONLY the QR code in the payment method on checkout' . $pro,
                'label'       => 'Check to show the Venmo logo button / Uncheck to remove the Venmo logo button',
                'type'        => 'checkbox',
                'description' => 'Disable to remove the big Venmo image button in the payment method on checkout' . $edit_with_pro,
                'default'     => 'no',
                'class'       => 'disabled',
            ),
                'fullWidthColumn'           => array(
                'title'       => 'Enable Full Width Columns on checkout' . $pro,
                'label'       => 'Check to Enable / Uncheck to Disable',
                'type'        => 'checkbox',
                'description' => 'When checked, the amount, reference number and QR code button will occupy the full width of their container. Only recommended when payment box is half the screen width' . $edit_with_pro,
                'default'     => 'no',
                'class'       => 'disabled',
            ),
                'toggleSupport'             => array(
                'title'       => 'Enable Support message' . $pro,
                'label'       => 'Check to Enable / Uncheck to Disable',
                'type'        => 'checkbox',
                'description' => 'Help your customers checkout with ease by letting them know how to contact you' . $edit_with_pro,
                'default'     => 'yes',
                'class'       => 'disabled',
            ),
                'toggleTutorial'            => array(
                'title'       => 'Enable Tutorial to display 1min video link',
                'label'       => 'Check to Enable / Uncheck to Disable',
                'type'        => 'checkbox',
                'description' => 'Help your customers checkout with ease by showing this tutorial link',
                'default'     => 'no',
            ),
                'toggleCredits'             => array(
                'title'       => 'Enable Credits to display Powered by The African Boss',
                'label'       => 'Check to Enable / Uncheck to Disable',
                'type'        => 'checkbox',
                'description' => 'Help us spread the word about this plugin by sharing that we made this plugin',
                'default'     => 'no',
            ),
            );
            // Gateways can support subscriptions, refunds, saved payment methods
            $this->supports = array( 'products' );
            // This action hook saves the settings
            add_action( 'woocommerce_update_options_payment_gateways_' . $this->id, array( $this, 'process_admin_options' ) );
            // We need custom JavaScript to obtain a token
            add_action( 'wp_enqueue_scripts', array( $this, 'wc_venmo_payment_scripts' ) );
            // Thank you page
            add_action( 'woocommerce_thankyou_venmo', array( $this, 'wc_venmo_thankyou_page' ) );
            // Customer Emails
            add_action(
                'woocommerce_email_order_details',
                array( $this, 'wc_venmo_email_instructions' ),
                10,
                3
            );
            // add_action( 'admin_enqueue_scripts', array( $this, 'wc_venmo_admin_css' ), 10, 3 );
        }
        
        // /**
        //  * Register and enqueue a custom stylesheet in the WordPress admin.
        //  */
        // public function wc_venmo_admin_css() {
        // 	$currentScreen = get_current_screen();
        // 	if ($currentScreen->id == 'venmo_page_wcvenmo_recommended_menu_page' || $currentScreen->id == 'venmo_page_wcvenmo_tutorials_menu_page' ) {
        // 		wp_register_style( 'wc_venmo_bootstrap', WCVENMO_PLUGIN_DIR_URL . 'assets/css/bootstrap.min.css');
        // 		wp_enqueue_style( 'wc_venmo_bootstrap' );
        // 	} else {
        // 		return;
        // 	}
        // }
        //Checkout page
        public function payment_fields()
        {
            require_once WCVENMO_PLUGIN_DIR . 'includes/pages/checkout.php';
        }
        
        //Payment Custom JS and CSS
        public function wc_venmo_payment_scripts()
        {
            if ( 'no' === $this->enabled ) {
                return;
            }
            // we need JS or CSS to process a token only on specific pages
            
            if ( is_checkout() ) {
                // Load CSS
                wp_register_style( 'wc_venmo_checkout', WCVENMO_PLUGIN_DIR_URL . 'assets/css/checkout.css' );
                wp_enqueue_style( 'wc_venmo_checkout' );
                // return;
            }
        
        }
        
        //Thank you page
        public function wc_venmo_thankyou_page( $order_id )
        {
            global  $woocommerce, $order ;
            $order = wc_get_order( $order_id );
            if ( 'venmo' === $order->get_payment_method() ) {
                require_once WCVENMO_PLUGIN_DIR . 'includes/pages/thankyou.php';
            }
        }
        
        //Add content to the WC emails
        public function wc_venmo_email_instructions( $order, $sent_to_admin, $plain_text = false )
        {
            if ( !$sent_to_admin && 'on-hold' === $order->get_status() && 'venmo' === $order->get_payment_method() ) {
                require_once WCVENMO_PLUGIN_DIR . 'includes/notifications/email.php';
            }
        }
        
        // validate venmo_username
        public function validate_fields()
        {
            
            if ( isset( $_POST['venmo_username'] ) ) {
                $venmo_username = sanitize_text_field( trim( $_POST['venmo_username'] ) );
                if ( !$venmo_username || strlen( $venmo_username ) < 3 ) {
                    wc_add_notice( esc_html( __( 'Your Venmo username is required', 'momo-venmo' ) ), 'error' );
                }
            }
        
        }
        
        //Process Order
        public function process_payment( $order_id )
        {
            global  $woocommerce, $order ;
            $order = wc_get_order( $order_id );
            
            if ( !is_wp_error( $order ) ) {
                
                if ( isset( $_POST['venmo_username'] ) ) {
                    $venmo_username = sanitize_text_field( trim( $_POST['venmo_username'] ) );
                    
                    if ( $venmo_username ) {
                        $order->update_meta_data( 'venmo_username', $venmo_username );
                        $order->save();
                    }
                
                }
                
                // Mark as on-hold (we're awaiting the payment).
                $order->update_status( apply_filters( 'woocommerce_venmo_process_payment_order_status', 'on-hold', $order ), __( 'Checking for payment', 'woocommerce' ) );
                if ( 'venmo' === $order->get_payment_method() ) {
                    require_once WCVENMO_PLUGIN_DIR . 'includes/notifications/note.php';
                }
                
                if ( venmo_fs()->is_plan__premium_only( 'pro' ) && $this->VenmoStockManagement == 'on' && $this->VenmoForwardingEmail ) {
                } else {
                    // reduce inventory
                    $order->reduce_order_stock();
                }
                
                // Empty cart
                $woocommerce->cart->empty_cart();
                // Redirect to the thank you page
                return array(
                    'result'   => 'success',
                    'redirect' => $this->get_return_url( $order ),
                );
            } else {
                wc_add_notice( 'Connection error.', 'error' );
                return;
            }
        
        }
    
    }
} else {
    require_once WCVENMO_PLUGIN_DIR . 'includes/notifications/woocommerce.php';
}
